Bug 65850 - alternatives man page has errors and inconsistencies
alternatives man page has errors and inconsistencies
Product: Red Hat Linux
Classification: Retired
Component: chkconfig (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Bill Nottingham
Ben Levenson
Depends On:
  Show dependency treegraph
Reported: 2002-06-02 14:39 EDT by Dax Kelson
Modified: 2014-03-16 22:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2003-01-31 16:09:15 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Dax Kelson 2002-06-02 14:39:35 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020513

Description of problem:
In the alternatives(8) man page it currently says:

--auto link
--display link

When it SHOULD (according to how /sbin/alternatives operates) be

--auto name
--display name

The text for both --auto and --display should be adjusted as well.

Also, to be consistent, in the section describing --install, replace all
occurances of "gen" with "name".

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.man alternatives

Actual Results:  n/a

Expected Results:  n/a

Additional info:

This fix is important, possibly justifying an errata release as the currently
shipping (incorrect) man page is the ONLY(1) source of documentation from Red
Hat on /sbin/alternatives.

It would be nice to see something in the Reference Guide or Customization Guide.

1, Well, there is --help too (which is correct) if you consider it documentation.

BTW, I'm doing my duty, as the man page says:

If you find any discrepancy between the operation of alternatives and this
manual page, it is a bug, either in the implementation or the documentation;
please report it.
Comment 1 Bill Nottingham 2003-01-31 16:09:15 EST
Fixed in 1.3.7-1.

Note You need to log in before you can comment on or make changes to this bug.